@ligisayan

Почему получаю ошибку при импорте дампа MySQL?

Всем привет! Хочу в phpmyadmin импортировать базу данных. Создал, привязал к ней пользователя со всеми полномочиями, захожу в созданную бд - импорт - выбираю дамп бд - жму ок - создается 1 пустая таблица и получаю ошибку, но не знаю как решить:
Ошибка
SQL-запрос:

-- --------------------------------------------------------
--
-- Структура таблицы `wp_aiowps_events`
--
CREATE TABLE IF NOT EXISTS  `wp_aiowps_events` (

 `id` BIGINT( 20 ) NOT NULL AUTO_INCREMENT ,
 `event_type` VARCHAR( 150 ) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT  '',
 `username` VARCHAR( 150 ) COLLATE utf8mb4_unicode_ci DEFAULT NULL ,
 `user_id` BIGINT( 20 ) DEFAULT NULL ,
 `event_date` DATETIME NOT NULL DEFAULT  '0000-00-00 00:00:00',
 `ip_or_host` VARCHAR( 100 ) COLLATE utf8mb4_unicode_ci DEFAULT NULL ,
 `referer_info` VARCHAR( 255 ) COLLATE utf8mb4_unicode_ci DEFAULT NULL ,
 `url` VARCHAR( 255 ) COLLATE utf8mb4_unicode_ci DEFAULT NULL ,
 `event_data` LONGTEXT COLLATE utf8mb4_unicode_ci,
PRIMARY KEY (  `id` )
) ENGINE = MYISAM DEFAULT CHARSET = utf8mb4 COLLATE = utf8mb4_unicode_ci AUTO_INCREMENT =1;

Ответ MySQL: Документация

#1273 - Unknown collation: 'utf8mb4_unicode_ci'
  • Вопрос задан
  • 1559 просмотров
Решения вопроса 1
nastya_cyxarik
@nastya_cyxarik
php, python dev
Первая ссылка в гугле.
You need MySQL 5.5.3 or higher to support the utf8mb4_unicode_ci collation.
https://wordpress.org/support/topic/sql-error-when...
Ответ написан
Пригласить эксперта
Ответы на вопрос 3
Melkij
@Melkij
PostgreSQL DBA
Проверьте версию базы данных.
utf8mb4 появился только в mysql 5.5.* (емнип, 5.5.3)
Ответ написан
@Nc_Soft
Обновите mysql до >5.5.3 либо в дампе замените utf8mb4_unicode_ci на utf8_general_ci
Ответ написан
@slavabars
Веб программист
Замени все utf8mb4 на utf8
Замени все utf8mb4_unicode_ci на utf8
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы